//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

 /*
	*******************************************************************
	All examples in this support document are only intended
	to improve understanding of the functionality and 
	handling of the equipment. 
	Beijer Electronics AB cannot assume any liability if these
	examples are used in real applications.
	In view of the wide range of applications for this 
	equipment, users must acquire sufficient knowledge 
	themselves in order to ensure that it is correctly used in 
	their specific application. Persons responsible for the 
	application and the equipment must themselves 
	ensure that each application is in compliance with all 
	relevant requirements, standards and legislation in 
	respect to configuration and safety.
	Beijer Electronics AB will accept no liability for any 
	damage incurred during the installation or use of this 
	equipment.
	Beijer Electronics AB prohibits all modification, changes
	or conversion of the equipment.
	*******************************************************************
*/
namespace Neo.ApplicationFramework.Generated
{
	using System.Windows.Forms;
	using System;
	using System.Drawing;
	using Neo.ApplicationFramework.Tools;
	using Neo.ApplicationFramework.Common.Graphics.Logic;
	using Neo.ApplicationFramework.Controls;
	using Neo.ApplicationFramework.Interfaces;
    //Added by programmer
	using System.Collections.Generic;
	using System.Globalization;
	using System.Threading;
	
    
	public partial class Popup_LoadRecipe
	{
        //More information regarding country codes and Globalization
        //http://msdn.microsoft.com/en-us/goglobal/bb688122#euf

		private void RefreshListBox()
		{
			//Clear listbox before populating
			this.ListBoxRecipes.Items.Clear();
			//Creates a array to hold the names
			//string[] recipeNames = new string[1];
			
			List <string> recipeNames = new List<string>();
			
			//Gets the data from the database
			Globals.RecipeUtils.GetRecipesNamesInTable("RecipeCollectionOne", ref recipeNames);

			recipeNames.Sort();
			
			//Mounts the returned names into a listbox
			foreach(string names in recipeNames)
			{
				this.ListBoxRecipes.Items.Add(names);		
			}	
		}
		
		void Popup_LoadRecipe_Opened(System.Object sender, System.EventArgs e)
		{
			RefreshListBox();
		}
		
		void ButtonLoadRecipe_Click(System.Object sender, System.EventArgs e)
		{
            if (this.ListBoxRecipes.SelectedItem != null)
            {
                Globals.RecipeCollectionOne.LoadRecipe(this.ListBoxRecipes.SelectedItem.ToString());
            }
		}
		
		void ButtonSaveRecipe_Click(System.Object sender, System.EventArgs e)
		{
			//Save...
            if (this.ListBoxRecipes.SelectedItem != null)
            {
                Globals.RecipeCollectionOne.SaveRecipe(this.ListBoxRecipes.SelectedItem.ToString());
            }
            else
            {
                //Save as...
                Globals.RecipeCollectionOne.SaveRecipe();
            }
            RefreshListBox();
		}
		
		void ButtonDeleteRecipe_Click(System.Object sender, System.EventArgs e)
		{
            if (this.ListBoxRecipes.SelectedItem != null)
            {
                Globals.RecipeCollectionOne.DeleteRecipe(this.ListBoxRecipes.SelectedItem.ToString());
                RefreshListBox();
            }
		}
	}
}